Package svnmailer :: Module browser :: Class ViewcvsGenerator

[hide private]

# Class ViewcvsGenerator

source code

    object --+
             |
            ViewcvsGenerator

viewcvs generator

Instance Methods | [hide private]

__init__(self, base) Initialization | source code

`str`

getRevisionUrl(self, revision) Returns the revision summary URL | source code

getContentDiffUrl(self, change) Returns the content diff url for a particular change | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

`str` | base The base url

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, base)
(Constructor)

source code

Initialization

Parameters:
  - `base` (`str`) - The base url
Overrides: object.__init__

### getRevisionUrl(self, revision)

source code

Returns the revision summary URL

Parameters:
  - `revision` (`int`) - The revision number
Returns: `str`
  The url

### getContentDiffUrl(self, change)

source code

Returns the content diff url for a particular change

Parameters:
  - `change` (`svnmailer.subversion.VersionedPathDescriptor`) - The change to process